Last updated: October 24, 2026

Challenge

Start an MFA challenge for a user.

Request

POSThttps://test.miniorange.in/moas/api/auth/challenge

Authentication headers (required on every request)

Customer-Key
Integer — your account customer key
Timestamp
Milliseconds since epoch (e.g. Date.now())
Authorization
SHA-512 of customerKey + timestamp + apiKey

Parameters

NameTypeRequiredDescription
customerKeyStringRequiredYour customer key
usernameStringRequiredEnrolled user email
authTypeStringOptionalSMS, EMAIL, OUT OF BAND SMS, OUT OF BAND EMAIL, PHONE VERIFICATION, PUSH NOTIFICATIONS, MOBILE AUTHENTICATION, VOICE AUTHENTICATION
transactionNameStringOptionalShown to the user. Max 30 characters

Request body

{
    "customerKey": "12345",
    "username": "alex@example.com",
    "authType": "SMS"
}

Response

{
    "txId": "ba65583b-7c80-11e5-883e-0e2fb063e0f9",
    "authType": "SMS",
    "responseType": "CHALLENGE",
    "status": "SUCCESS"
}
Copied